/// <reference types="google.maps" />
import React, { PropsWithChildren } from 'react';
export interface GoogleMapsAPIUrlParameters {
    googleMapsAPIKey: string;
    libraries?: string[];
    language?: string;
    region?: string;
    version?: string;
    authReferrerPolicy?: string;
}
export interface GoogleMapsConfiguration {
    mapContainer?: HTMLElement | null;
    mapOptions?: google.maps.MapOptions;
}
export interface GoogleMapsProviderProps extends GoogleMapsAPIUrlParameters, GoogleMapsConfiguration {
    onLoadScript?: () => void;
    onLoadMap?: (map: google.maps.Map) => void;
}
export interface GoogleMapsContextType {
    googleMapsAPIIsLoaded: boolean;
    map?: google.maps.Map;
}
declare global {
    interface Window {
        mapsCallback: () => void;
    }
}
/**
 * The Google Maps context
 */
export declare const GoogleMapsContext: React.Context<GoogleMapsContextType>;
/**
 * The global Google Maps provider
 */
export declare const GoogleMapsProvider: React.FunctionComponent<PropsWithChildren<GoogleMapsProviderProps>>;
