/// <reference types="google.maps" />
export interface DirectionsServiceProps {
    renderOnMap?: boolean;
    renderOptions?: google.maps.DirectionsRendererOptions;
}
interface DirectionsServiceHookReturns {
    directionsService: google.maps.DirectionsService | null;
    directionsRenderer: google.maps.DirectionsRenderer | null;
    findRoute: ((request: google.maps.DirectionsRequest) => Promise<google.maps.DirectionsResult>) | null;
    findAndRenderRoute: ((request: google.maps.DirectionsRequest) => Promise<google.maps.DirectionsResult>) | null;
    renderRouteOfIndex: (index: number) => void;
}
/**
 * Hook to get Google Maps Places Directions Service instance
 */
export declare const useDirectionsService: (props?: DirectionsServiceProps) => DirectionsServiceHookReturns;
export {};
